Subject: Re: bug#41988: 28.0.50; Edebug unconditionally instruments definitions with &define specs

From: Philipp Stephani <[email-masked]>
Date: Mon, 8 Mar 2021 17:33:21 +0100

Am Di., 2. März 2021 um 18:28 Uhr schrieb Philipp Stephani
<[email-masked]>:
>
> Am Di., 2. März 2021 um 16:59 Uhr schrieb Stefan Monnier
> <[email-masked]>:
> >
> > > As an example, edebug-instrument (C-u C-M-x) the following definition:
> > >
> > > (defun bar ()
> > >   (cl-flet ((foo () 1))
> > >     (foo)))
> > >
> > > The *Messages* buffer now says
> > >
> > > Edebug: foo [2 times]
> > > Edebug: bar
> >
> > I believe this is now fixed in `master`.
> > At least we only get a total of 2 messages rather than "3 collapsed to 2".
> > But I don't know enough about the code coverage to be sure that the
> > underlying problem you saw is also fixed.  Can you confirm?
>
> Thanks! I'll check (hopefully in the next few days).

Confirmed that the original issue is indeed fixed.